Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26017/?format=api
{ "ob_id": 26017, "uuid": "610a8d5b32fc4c51b8a2ed64de95ed73", "title": "UKCP18 Historical Simulations of Gridded Sea Surface Elevation around the UK for 1970-2006", "abstract": "\"The data are simulated instantaneous sea surface elevations above time-mean sea level due to tides alone (tideAnom) and due to tide and meteorological surge (tideSurgeAnom). The data were produced by the Met Office Hadley Centre, using data made available by the Swedish Meteorological and Hydrological Institute (SMHI) and the Climate Model Intercomparison Project, phase 5 (CMIP5). The data were produced to investigate the impact of simulated atmospheric storminess change on extreme sea levels. To produce the data, atmospheric winds and pressure from the SMHI Regional Atmospheric Model RCA4 was used to drive the CS3 continental shelf model. The data are the resulting simulated sea surface elevations. Five CMIP5 historical simulations were downscaled in this way: EC-EARTH, HadGEM2-ES, MPI-ESM-LR, IPSL-CM5A-MR, CNRM-CM5. The data covers the period 1970 to 2005, and applies to the UK coast.\r\n\r\nFurther information on this dataset and UKCP18 can be found in the documentation section.", "keywords": "UKCP18, Marine, Tide Surge, Historical, Simulations", "publicationState": "published", "dataPublishedTime": "2018-11-26T09:00:00", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26144/?format=api", "dataPath": "/badc/ukcp18/data/marine-sim/bulk-proj/historical", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 146983849105, "numberOfFiles": 211, "fileFormat": "Data are NetCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7057/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2208/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56585/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56586/?format=api" ], "dataLineage": "Data provided by the UK Met Office", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26015/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/26018/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143632/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111095/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111096/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111097/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111099/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/110954/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111101/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111098/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111100/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/26145/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }